Declare @BancoDados varchar(50);
Set @BancoDados = (select nome_banco_dados from prc_bancos_dados where tipo_banco_dados=3)

if len(@BancoDados) > 0
	begin
		IF exists(Select id from sysobjects where name = 'EST_FECHA_PARCIAL' AND XTYPE = 'SN')
		Begin
			Exec ('DROP SYNONYM EST_FECHA_PARCIAL');
		End
		Exec ('create synonym EST_FECHA_PARCIAL for '+@BancoDados+'..EST_FECHA_PARCIAL');
	end
else
	begin
		Print 'Nao foi possivel retornar o banco de dados para criacao do sinonimo EST_FECHA_PARCIAL'
	end
